<?php 
require_once "../modelos/Articulocompuesto.php";
if (strlen(session_id())<1) 
	session_start();

$articulocompuesto      =new Articulocompuesto();

$idarticulocompuesto	=isset($_POST["idarticulocompuesto"])? 		limpiarCadena($_POST["idarticulocompuesto"]):"";
$idproductoc			=isset($_POST["idproductoc"])? 		limpiarCadena($_POST["idproductoc"]):"";
$idalmacenc				=isset($_POST["idalmacenc"])? 		limpiarCadena($_POST["idalmacenc"]):"";
$idusuario				=$_SESSION["idusuario"];
$tipo_comprobante		=isset($_POST["tipo_comprobante"])? limpiarCadena($_POST["tipo_comprobante"]):"";
$serie_comprobante		=isset($_POST["serie_comprobante"])?limpiarCadena($_POST["serie_comprobante"]):"";
$num_comprobante		=isset($_POST["num_comprobante"])? 	limpiarCadena($_POST["num_comprobante"]):"";
$num_suministro			=isset($_POST["num_suministro"])? 	$_POST["num_suministro"]:"";
$fecha_hora				=isset($_POST["fecha_hora"])? 		limpiarCadena($_POST["fecha_hora"]):"";
$fecha_horar			=isset($_POST["fecha_horar"])? 		limpiarCadena($_POST["fecha_horar"]):"";
$impuesto				=isset($_POST["impuesto"])? 		limpiarCadena($_POST["impuesto"]):"";
$total_compra			=isset($_POST["total_compra"])? 	limpiarCadena($_POST["total_compra"]):"";
$almacen				=isset($_POST["almacen"])? 			limpiarCadena($_POST["almacen"]):"";

//$codigo_barra		=isset($_POST["cod_barra"])? 		limpiarCadena($_POST["cod_barra"]):"";

switch ($_GET["op"]) {
	case 'guardaryeditar':
		if (empty($idarticulocompuesto)) {
			$rspta=$articulocompuesto->insertar($idproductoc,$idalmacenc,$idusuario,$fecha_hora,$_POST["idarticulo"],
			$_POST["idalmacen"],$_POST["cantidad"],$_POST["fecha_lote"],$_POST["nrolote"]);
			echo $rspta ? "Los datos del articulo se registraron correctamente" : "No se pudo registrar los datos del articulo";
			}else{
			
		}
	break;
	

	case 'anular':
		$rspta=$articulocompuesto->anular($idarticulocompuesto);
		echo $rspta ? "articulocompuesto anulado correctamente" : "No se pudo anular el articulocompuesto";
	break;
	
	case 'mostrar':
		$rspta=$articulocompuesto->mostrar($idarticulocompuesto);
		echo json_encode($rspta);
	break;

	case 'buscarnrosuministro':
		$rspta=$articulocompuesto->buscarnrosuministro();
		echo json_encode($rspta);
	break;

	case 'buscarAlmacen':
		$rspta=$articulocompuesto->buscarAlmacen($almacen);
		echo json_encode($rspta);
	break;
	
	case 'agregarDetalleCodigoDeBarra':
		$codigo_barra	=$_POST["codigobarra"];
		$rspta=$articulocompuesto->agregarDetalleCodigoDeBarra($codigo_barra);
		echo json_encode($rspta);
	break;	
	
	case 'listarDetalle':
		//recibimos el idarticulocompuesto
		$id=$_GET['id'];

		$rspta=$articulocompuesto->listarDetalle($id);
		$total=0;
		echo ' <thead style="background-color:#A9D0F5">
        <th>Opciones</th>
        <th>Articulo</th>
        <th>Cantidad</th>
        <th>Precio Compra</th>
        <th>Precio Venta</th>
        <th>Subtotal</th>
       </thead>';
		while ($reg=$rspta->fetch_object()) {
			echo '<tr class="filas">
			<td></td>
			<td>'.$reg->nombre.'</td>
			<td style="text-align:right">'.number_format($reg->cantidad,0,',','.').'</td>
			<td style="text-align:right">'.number_format($reg->precio_compra,2,',','.').'</td>
			<td style="text-align:right">'.number_format($reg->precio_venta,2,',','.').'</td>
			<td style="text-align:right">'.number_format(($reg->precio_compra*$reg->cantidad),2,',','.').'</td>
			<td></td>
			</tr>';
			$total=$total+($reg->precio_compra*$reg->cantidad);
		}
		echo '<tfoot>
         <th>TOTAL</th>
         <th></th>
         <th></th>
         <th></th>
         <th></th>
         <th style="text-align:right"><h4 id="total">Bs. '.number_format($total,2,',','.').'</h4><input type="hidden" name="total_compra" id="total_compra"></th>
       </tfoot>';
	break;

    case 'listar':
			$rspta=$articulocompuesto->listar();
			$data=Array();

			while ($reg=$rspta->fetch_object()) {
				$data[]=array(
							"0"=>($reg->estado=='Aceptado')?'<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idarticulocompuesto.')"><i class="fa fa-eye"></i></button>'.' '.'<button class="btn btn-danger btn-xs" onclick="anular('.$reg->idarticulocompuesto.')"><i class="fas fa-times"></i></button>':'<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idarticulocompuesto.')"><i class="fa fa-eye"></i></button>',
							"1"=>$reg->nombre,
							"2"=>$reg->usuario,
							"3"=>$reg->fecha,
							"4"=>($reg->estado=='Activo')?'<span class="badge bg-green">Aceptado</span>':'<span class="badge bg-red">Anulado</span>'
								);
			}
			$results=array(
							"sEcho"=>1,//info para datatables
							"iTotalRecords"=>count($data),//enviamos el total de registros al datatable
							"iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
							"aaData"=>$data); 
			echo json_encode($results);
	break;

	case 'listara':
		$rspta=$articulocompuesto->listara();
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
						"0"=>($reg->estado=='Aceptado')?'<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idarticulocompuesto.')"><i class="fa fa-eye"></i></button>'.' '.'<button class="btn btn-danger btn-xs" onclick="anular('.$reg->idarticulocompuesto.')"><i class="fas fa-times"></i></button>':'<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idarticulocompuesto.')"><i class="fa fa-eye"></i></button>',
						"1"=>$reg->fecha,
						"2"=>$reg->proveedor,
						"3"=>$reg->usuario,
						"4"=>$reg->tipo_comprobante,
						"5"=>$reg->serie_comprobante. '-' .$reg->num_comprobante,
						"6"=>number_format($reg->total_compra,2,',','.'),
						"7"=>($reg->estado=='Aceptado')?'<span class="badge bg-green">Aceptado</span>':'<span class="badge bg-red">Anulado</span>'
							);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($data),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
						"aaData"=>$data); 
		echo json_encode($results);
	break;
	
	case 'listars':
		$rspta=$articulocompuesto->listars();
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
						"0"=>($reg->estado=='Aceptado')?'<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idarticulocompuesto.')"><i class="fa fa-eye"></i></button>'.' '.'<button class="btn btn-danger btn-xs" onclick="anular('.$reg->idarticulocompuesto.')"><i class="fas fa-times"></i></button>':'<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idarticulocompuesto.')"><i class="fa fa-eye"></i></button>',
						"1"=>$reg->fecha,
						"2"=>$reg->proveedor,
						"3"=>$reg->usuario,
						"4"=>$reg->tipo_comprobante,
						"5"=>$reg->num_suministro,
						"6"=>number_format($reg->total_compra,2,',','.'),
						"7"=>($reg->estado=='Aceptado')?'<span class="badge bg-green">Aceptado</span>':'<span class="badge bg-red">Anulado</span>'
							);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($data),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
						"aaData"=>$data); 
		echo json_encode($results);
	break;

	case 'selectProveedor':
		require_once "../modelos/Persona.php";
		$persona = new Persona();

		$rspta = $persona->listarp();

		while ($reg = $rspta->fetch_object()) {
			echo '<option value='.$reg->idpersona.'>'.$reg->nombre.'</option>';
		}
	break;

	case 'selectArticulocompuesto':
		require_once "../modelos/Articulo.php";
		$articulo = new Articulo();

		$rspta = $articulo->listarroductocompuesto();

		while ($reg = $rspta->fetch_object()) {
			echo '<option value='.$reg->idarticulo.'-'.$reg->idalmacen.'>'.$reg->nombre.'</option>';
		}
	break;
	

	case 'selectProveedorSuministro':
		require_once "../modelos/Persona.php";
		$persona = new Persona();

		$rspta = $persona->listarp();

		while ($reg = $rspta->fetch_object()) {
			$selected = '';
			if ($reg->nombre=='BODEGART'){
				$selected = 'selected';
			}
			echo '<option value='.$reg->idpersona.'"" '.$selected.'>'.$reg->nombre.'</option>';
		}
	break;
	
	case 'listarArticulos':
		require_once "../modelos/Articulo.php";
		$articulo=new Articulo();
		$rspta=$articulo->listarinsumos();
		$data=Array();
		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
						"0"=>'<button class="btn btn-warning" onclick="agregarDetalle('.$reg->idarticulo.','.$reg->idalmacen.',\''.$reg->nombre.'\',\''.$reg->costo.'\',\''.$reg->costod.'\',\''.$reg->precio.'\',\''.$reg->preciod.'\')"><span class="fa fa-plus"></span></button>',
						"1"=>$reg->nombre,
						"2"=>$reg->categoria,
						"3"=>$reg->codigo,
						"4"=>$reg->stock,
						"5"=>"<img src='files/articulos/".$reg->imagen."' height='50px' width='50px'>"
					
							);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($data),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
						"aaData"=>$data); 
		echo json_encode($results);
	break;
		
	case 'listarArticuloBarra':
		require_once "../modelos/Articulo.php";
		$articulo=new Articulo();
		$rspta=$articulo->listarActivosBodegartCafetinSuministro();
		$data=Array();
		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
						"0"=>'<button class="btn btn-warning" onclick="agregarDetalle('.$reg->idarticulo.',\''.$reg->nombre.'\',\''.$reg->costo.'\',\''.$reg->precio.'\')"><span class="fa fa-plus"></span></button>',
						"1"=>$reg->nombre,
						"2"=>$reg->categoria,
						"3"=>$reg->codigo,
						"4"=>$reg->stock,
						"5"=>"<img src='files/articulos/".$reg->imagen."' height='50px' width='50px'>"
					
							);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($data),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
						"aaData"=>$data); 
		echo json_encode($results);

	break;
			
	case 'listarServiciosrespaldo':
		require_once "../modelos/Servicios.php";
		$servicio=new Servicios();
		$rspta=$servicio->listarActivosServiciosCompra();
		//echo "<script> alert('estoy en listarServicios Controlador') </script>";
		//a.idservicio,a.idcategoria,c.nombre as categoria, a.nombre,a.precio,a.porcentaje,a.descripcion,a.condicion
		$tipos='S';
		$data=Array();
		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
						"0"=>'<button class="btn btn-warning" 
						onclick="agregarDetalle('.$reg->idservicio.',\''.$reg->nombre.'\','.$reg->precio.','.$reg->porcentaje.',\''.$tipos.'\',\''.$reg->exento.'\')">
						<span class="fa fa-plus"></span></button>',
						"1"=>$reg->nombre,
						"2"=>$reg->categoria,
						"3"=>$reg->precio,
						"4"=>$reg->porcentaje
						);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($data),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
						"aaData"=>$data); 
		echo json_encode($results);

	break;
}
 ?>